library(bayesm)

setwd('C:\\cbc opt test -het1E-')


#loads the functions used for the estimation
source('createXm.r')
#loads the questionnaire matrix X and the answers
#-----------------------
#vector containing the number of attributes per level
maxlevs=c(7,7,7,7)
#nresp number of respondents
nresp=300
#number of questions per respondent
numquest=12
#number of alt per question
numalt=5
#-----------------------
source('formatXm.r')
#formats the matrix X to be used for the computation
#-----------------------
#parameters for the estimation

#keep a draw every "keep" iterations
keep=5
#number of iterations
R=10000
mcmc1=list(keep=keep,R=R)
#-----------------------
#the standard (default) uninformative priors for this model:
#b_i ~ N(mu,Sigma).
#mu ~ N(mubar,Sigma*Amu^{-1})
#Sigma ~ IW(nu,V)

#deltabar: vector of prior means (default: 0)
#mubar: prior mean vector
#Amu: prior precision for normal comp mean (def: 0.01 I)
#nu: deg. of freedom parameter (defauilt: nvar+3)
#V: pds location parm for IW (default: nul)
#ncomp: number of normal components for the mixture of normals



#run the estimation
source('functionsetM.r')
out=rhierMnlRwMixtureMod(Data=list(p=numalt,lgtdata=lgtdata,Z=NULL),Prior=list(ncomp=1),Mcmc=mcmc1)
#-----------------------
source('countexactm.r')
#calculates the prediction ratio (in variable 'ratio')
source('writeresults.r')
#writes the estimated betas in .csv format (by default in position c:\\estbeats.csv)


